Connexion

Forum

Logiciels » Virtualisation et Émulation [Réglé] Virtualbox maj problème Virtualbox après MAJ

clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 06/12/2016 à 12h53
Bonjour,
Ce matin, j'ai mis à jour virtualbox, nouvelle version en ligne la 5.1.10 r112026.
Pas de soucis lors de la mise à jour, j'ai redémarré mon PC.
Démarrage de virtualbox OK, par contre impossible de démarrer mes systèmes virtuels.
Impossible de désinstaller l'ancienne version des extensions, ni la nouvelle.
Messages d'erreurs :
Failed to run /usr/lib64/virtualbox/VBoxExtPackHelperApp --stdout /tmp/VBoxExtPackHelper-lt8vma/stdout --stderr /tmp/VBoxExtPackHelper-lt8vma/stderr --elevated install --base-dir /usr/lib64/virtualbox/ExtensionPacks --cert-dir /usr/lib64/virtualbox/ExtPackCertificates --name 'Oracle VM VirtualBox Extension Pack' --tarball /home/laurent/.config/VirtualBox/Oracle_VM_VirtualBox_Extension_Pack-5.1.10.vbox-extpack --sha-256 3982657fd4853bcbc79b9162e618545a479b65aca08e9ced43a904aeeba3ffa5 --replace.

Failed to execute child process "/usr/lib64/virtualbox/VBoxExtPackHelperApp --stdout /tmp/VBoxExtPackHelper-lt8vma/stdout --stderr /tmp/VBoxExtPackHelper-lt8vma/stderr --elevated install --base-dir /usr/lib64/virtualbox/ExtensionPacks --cert-dir /usr/lib64/virtualbox/ExtPackCertificates --name 'Oracle VM VirtualBox Extension Pack' --tarball /home/laurent/.config/VirtualBox/Oracle_VM_VirtualBox_Extension_Pack-5.1.10.vbox-extpack --sha-256 3982657fd4853bcbc79b9162e618545a479b65aca08e9ced43a904aeeba3ffa5 --replace" (No such file or directory)

Démarrgage d'un système virtuel :
chec de l'ouverture de session pour la machine virtuelle SevenProx64.
The device helper structure version has changed.
If you have upgraded VirtualBox recently, please make sure you have terminated all VMs and upgraded any extension packs. If this error persists, try re-installing VirtualBox. (VERR_PDM_DEVHLPR3_VERSION_MISMATCH).
Code d'erreur :
NS_ERROR_FAILURE (0x80004005)
Composant :
ConsoleWrap
Interface :
IConsole {872da645-4a9b-1727-bee2-5585105b9eed}

De votre coté c'est pareil ?
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1298

Le 06/12/2016 à 16h07
Bonjour,
Il faut que tu mettes à jour les extensions.
Depuis le gestionnaire de machines virtualBox :
Fichiers/rechercher des mises à jour .
Le système va te proposer ensuite la mise à jour des extensions....


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 XFCE4
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 06/12/2016 à 23h08
J'ai déjà la dernière version, installé aujourd'hui via la mise à jour de Mageia.
Lorsque je fait rechercher nouvelles versions, le message suivant :
"Vous utilisez déjà la version la plus récente de VirtualBox."
Impossible de désinstaller et de réinstaller les extensions, message d'erreur là aussi, comme indiqué ci-dessus.

Vous avez une idée ?
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1298

Le 07/12/2016 à 10h23
Si tu vas dans Fichiers/paramètres/extensions tu as ça ? :



Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 XFCE4
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 07/12/2016 à 16h35
Bonjour,
Oui j'ai ces extensions.
Lorsque je fais une recherche de mis à jour, il me propose de faire la mise à jour du pack extension, tout se passe bien au téléchargement et lors de l'installation c'est le plantage avec les messages d'erreurs comme sur le premier post.
Je viens de tout de désinstaller depuis le CCM.
J'ai récupéré l'archive rpm (version fedora) depuis le site officiel.
À l'installation, j'ai une dépendance non satisfaite sur la libQt5openGL.so.5,arrêt de l'installation.


Vous avez une idée ? Edité par clicere83 Le 07/12/2016 à 17h32
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1298

Le 07/12/2016 à 20h34
Bonsoir,
La première fois, comment avais-tu mis à jour Virtualbox vers la version 5.1.10 r112026 ?
Par l'applet MageiaUpdate ou le rpmdrake ou un autre moyen ?


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 XFCE4
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 07/12/2016 à 22h54
Bonsoir,
La mise à jour vers la dernière version c'est faite via l'outil de mise à jour Mageia.

Comment il est impossible de revenir à la version précédente, je suis coincé.

Alors que faire ?
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 08/12/2016 à 12h12
Bonjour,
Ce matin j'ai de nouveau désinstaller Virtualbox, supprimer les répertoires liés à Virtualbox.
J'ai ensuite, réinstallé Virtualbox, OK pas de soucis.
Puis le pack d'extension, quelque soit le mode d'installation, depuis le menu de l'application "recherche mise à jour", ou en installant le pack une fois télécharger, j'ai les mêmes erreurs, comme indiqué dans le premier post.
D'après les messages d'erreurs, l'isntallation du pack, cherche un fichier qui se situe dans le répertoire "TMP", sauf qu'il n'y rien dans se répertoire qui concerne le pack, même avec Virtualbox démarré.

Vérification des fichiers demandés à l'installation du pack extention :
[root@localhost /]# ls /usr/lib64/virtualbox/VBoxExtPackHelperApp
/usr/lib64/virtualbox/VBoxExtPackHelperApp*


[root@localhost /]# ls /tmp/VBoxExtPackHelper-lt8vma/stdout
ls: impossible d'accéder à /tmp/VBoxExtPackHelper-lt8vma/stdout: Aucun fichier ou dossier de ce type


Là, je tourne en rond, si vous avez une idée, des informations, je suis preneur. Edité par clicere83 Le 08/12/2016 à 12h21
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1298

Le 08/12/2016 à 14h04
clicere83:
...........

[root@localhost /]# ls /tmp/VBoxExtPackHelper-lt8vma/stdout
ls: impossible d'accéder à /tmp/VBoxExtPackHelper-lt8vma/stdout: Aucun fichier ou dossier de ce type


Là, je tourne en rond, si vous avez une idée, des informations, je suis preneur.


Je viens de vérifier, je n'ai pas non plus de répertoire VBoxExtPackHelper-lt8vma dans /tmp, ce qui est normal car je pense que l'installeur efface les fichiers temporaires une fois l'installation terminée.

Que donne Citation:
VirtualBox
lancé dans un terminal ?


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 XFCE4
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 08/12/2016 à 14h31
Virtualbox fonctionne, mais impossible d'installer le pack extension, quelque soit la méthode employée.
En ce moment, j'ai un magie6 (sans le support USB) qui tourne sous Virtualbox, je fais des mises à jours avant d'installer Virtualbox pour tester sur cette machine afin de voir si il y a des différences à l'installation du pack extension ?
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 08/12/2016 à 16h27
J'ai démarré Magie6 en mode virtualbox, fait la mise la jour de Magiea6 (>1700 paquets).
Ensuite, installation de Virtualbox sous Mageia6, OK.
Installation du pack extension (toujours sous Mageia6) => KO ; même erreurs que dans le premier post.
Il y a un gros soucis avec le pack extension de la nouvelle version de Virtualbox, lequel ???

   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1298

Le 08/12/2016 à 18h22
Pour tester, je viens de réessayer la réinstallation des extensions :

Sur le site https://www.virtualbox.org/wiki/Downloads
je clique sur VirtualBox 5.1.10 Oracle VM VirtualBox Extension Pack All supported platforms

Je choisis "ouvrir avec virtualbox "


je rentre mon mot de passe root
et puis voilà :

Edité par DéBé Le 08/12/2016 à 18h23


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 XFCE4
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 08/12/2016 à 21h58
Ok pour tes essais, ma question, pourquoi j'ai eu aussi les mêmes erreurs d'installation du pack des extensions avec Mageia6, monté en machine virtuelle ?
Je confirme que j'ai eu aussi les mêmes étapes d'installation que toi, avec à chaque fois ces messages d'erreur, Why ???

J'ai supprimé Virtualbox, fait le ménage dans les répertoires puis j'ai refais une installation depuis le CCM, 10 paquets installés, résultat OK.
- dkms-virtualbox-5.1.10-1.1.mga5.noarch
- vboxadditions-kernel-3.19.8-desktop-3.mga5-5.0.2-2.mga5.x86_64
- vboxadditions-kernel-4.4.32-desktop-1.mga5-5.1.10-1.1.mga5.x86_64
- vboxadditions-kernel-desktop-latest-5.1.10-1.1.mga5.x86_64
- virtualbox-5.1.10-1.1.mga5.x86_64
- virtualbox-doc-5.1.10-1.1.mga5.noarch
- virtualbox-guest-additions-5.1.10-1.1.mga5.x86_64
- virtualbox-kernel-4.4.32-desktop-1.mga5-5.1.10-1.1.mga5.x86_64
- virtualbox-kernel-desktop-latest-5.1.10-1.1.mga5.x86_64
- x11-driver-video-vboxvideo-5.1.10-1.1.mga5.x86_64

Vérification du pack extension :




Configuration de la machine windows, activation USB 2, erreur au démarrage :


Mes machines ne peuvent pas avoir l'USB 2 et USB3.

Il paraît que la nuit porte conseil ! Edité par clicere83 Le 08/12/2016 à 23h38
   
DéBé Membre non connecté

Rang

Avatar

Inscrit le : 30/01/2010 à 14h07

Localisation : Finistère

Messages: 1298

Le 09/12/2016 à 08h33
Alors là je sèche, si tu as fait tes installations avec les même procédures que moi ( ? )
Apparemment il te manque une ligne dans les extensions installées. celle justement qui contrôle les USB 2 et 3.
Essaie de supprimer l'extension qui apparait (VboxDtrace.....) par clic droit /supprimer l'extension.
Puis ré-essaies comme je l'ai expliqué plus haut Edité par DéBé Le 09/12/2016 à 08h38


Desktop :Mageia 7 x86-64 Plasma 5 - GeForce N210 Pilote Nouveau - Ram 4096 Mb - AMD Athlon 64 X2 Dual Core Processor 4800+ / Notebook Asus F200M Mageia 7.1 x86-64 XFCE4
   
clicere83 Membre non connecté

Rang

Avatar

Inscrit le : 29/04/2013 à 16h56

Messages: 293

Le 09/12/2016 à 09h46
Bonjour Débé,

Merci pour tes réponses, moi-même je n'arrive pas à comprendre ce problème de pack extension.
Comme je le dis plus haut, je ne peux supprimer ni réinstaller le pack extension, à chaque fois j'ai ce message d'erreur (premier post).
Hier en fin de journée, j'ai eu une mise à jour de Mageia, cela concernait les virtualbox-kernel, je l'ai validé, mais cela n'a rien changé à mon problème.

Débé, dis moi, as-tu eu aussi des mises à jour comme moi hier ? Edité par clicere83 Le 09/12/2016 à 12h10
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie